## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicContext

Class DynamicError

Class EmptyEnumerator

Class ExtensionFunctionCall

Class ExtensionFunctionDefinition

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class Serializer

Class StaticContext

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAnyFunctionType

Class XdmAnyItemType

Class XdmAnyNodeType

Class XdmAtomicType

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmItemType

Class XdmNode

Class XdmNodeKind

Class XdmSequenceType

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXdmEnumerator

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class XdmDestination

    public class XdmDestination

extends XmlDestination

  An `XdmDestination` is an `XmlDestination` in which an `XdmNode` is constructed to hold the output of a query or transformation: that is, a tree using Saxon's implementation of the XDM data model

  No data needs to be supplied to the `XdmDestination` object. The query or transformation populates an `XmlNode`, which may then be retrieved as the value of the `XmlNode` property.

  An `XdmDestination` can be reused to hold the results of a second transformation only if the `reset` method is first called to reset its state.

Constructor Summary
`XdmDestination()` Construct an `XdmDestination`

Property Summary
`TreeModel` | `TreeModel` The Tree Model implementation to be used for the constructed document. By default the TinyTree is used. The main reason for using the LinkedTree alternative is if updating is required (the TinyTree is not updateable)
`Uri` | `BaseUri` This property determines the base URI of the constructed XdmNode. If the baseURI property of the XdmDestination is set before the destination is written to, then the constructed XdmNode will have this base URI. Setting this property after constructing the node has no effect.
`XdmNode` | `XdmNode` After construction, retrieve the constructed document node

Method Summary
`void` | `Reset()` Reset the state of the `XdmDestination` so that it can be used to hold the result of another query or transformation.
`JResult` | `GetResult()`

Constructor Detail

### XdmDestination

    public XdmDestination()

  Construct an `XdmDestination`

Property Detail

### TreeModel

    public TreeModel TreeModel {get; set; }

  The Tree Model implementation to be used for the constructed document. By default the TinyTree is used. The main reason for using the LinkedTree alternative is if updating is required (the TinyTree is not updateable)

### BaseUri

    public Uri BaseUri {get; set; }

  This property determines the base URI of the constructed XdmNode. If the baseURI property of the XdmDestination is set before the destination is written to, then the constructed XdmNode will have this base URI. Setting this property after constructing the node has no effect.

### XdmNode

    public XdmNode XdmNode {get; }

  After construction, retrieve the constructed document node

  The value of the property will be null if no data has been written to the XdmDestination, either because the process that writes to the destination has not yet been run, or because the process produced no output.

Method Detail

### Reset

    public void Reset()

  Reset the state of the `XdmDestination` so that it can be used to hold the result of another query or transformation.

### GetResult

    public override JResult GetResult()